# Uses of Enum Class
org.springframework.http.HttpStatus

Packages that use HttpStatus
Package
Description
org.springframework.http
Contains a basic abstraction over client/server-side HTTP.
org.springframework.web.filter
Provides generic filter base classes allowing for bean-style configuration.

## Uses of HttpStatus in org.springframework.http

Methods in org.springframework.http that return HttpStatus
Modifier and Type
Method
Description
`static HttpStatus`
HttpStatus.`resolve(int statusCode)`
Resolve the given status code to an `HttpStatus`, if possible.
`static HttpStatus`
HttpStatus.`valueOf(int statusCode)`
Return the `HttpStatus` enum constant with the specified numeric value.
`static HttpStatus`
HttpStatus.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static HttpStatus[]`
HttpStatus.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.springframework.http with parameters of type HttpStatus
Modifier and Type
Method
Description
`void`
ProblemDetail.`setStatus(HttpStatus httpStatus)`
Setter for the `problem status`.
`static HttpStatus.Series`
HttpStatus.Series.`valueOf(HttpStatus status)`
Deprecated.
as of 5.3, in favor of invoking `series()` directly

## Uses of HttpStatus in org.springframework.web.filter

Methods in org.springframework.web.filter with parameters of type HttpStatus
Modifier and Type
Method
Description
`UrlHandlerFilter.Builder`
UrlHandlerFilter.Builder.TrailingSlashSpec.`redirect(HttpStatus status)`
Handle requests by sending a redirect to the same URL but the trailing slash trimmed.